#!/usr/bin/env -S julia -O0 --compile=min --color=yes --startup-file=no
using PrettyTables, Printf, TimeZones, Dates
using WeatherNews

function shortperiod(p)
    abbrev = Dict{DataType,String}(
        Day => "d",
        Hour => "h",
        Minute => "m",
        Second => "s",
        Millisecond => "ms"
    )
    return "$(p.value)$(abbrev[typeof(p)])"
end

function shortduration(d)
    return d.periods .|> shortperiod |> p -> join(p, " ")
end

function fmt(v, _, j)
    if j == 5
        return v |> canonicalize |> shortduration
    else
        return v
    end
end

function main()
    zone = localzone()
    s = WeatherNews.get_schedule()
    pretty_table(s,
        header=["caster", "title", "Asia/Tokyo", zone.name, "until"],
        formatters=fmt)
    localtime = now(localzone())
    japantime = now(tz"Asia/Tokyo")
    @printf "%27s %s\n" "Asia/Tokyo" japantime
    @printf "%27s %s\n" zone.name localtime
end

if (abspath(PROGRAM_FILE) == @__FILE__) || (:DaemonMode ∈ names(Main, imported=true))
    main()
end
