#!/usr/bin/env -S julia --color=yes --startup-file=no
using WeatherNews
using SQLite

function get_db()
    file = if haskey(ENV, "DB") ENV["DB"] else "sql/wn.db" end
    return SQLite.DB(file)
end

function main()
    db = get_db()
    s = WeatherNews.get_schedule()
    WeatherNews.fix_conflict(db, s)
end

if (abspath(PROGRAM_FILE) == @__FILE__) || (:DaemonMode ∈ names(Main, imported=true))
    main()
end
