#!/usr/bin/env perl
use strict;
use warnings;
use local::lib;

use DBI;
use DBD::SQLite;
use CGI::Tiny;

require('./WNDB.pm');
require('./Utils.pm');

our %config = (
  base     => "/",
  database => "dbi:SQLite:dbname=wn.db"
);
if (-e "./config.pl") {
  %config = (%config, do "./config.pl");
}

my $dbh = DBI->connect($config{database});
my ($sql, $do) = sql_fn($dbh);

cgi {
  my $cgi = $_;
  my @r = WNDB::schedule_default($sql);
  mark_live(\@r);
  my $method = $cgi->method;
  if ($method eq 'GET') {
    my $html = page('schedule', { base => $config{base}, r => \@r });
    $cgi->render(html => $html);
  } else {
    $cgi->render(json => { hi => 'bye' });
  }
};
