#!/usr/bin/env perl
use strict;
use warnings;
use local::lib;

use DBI;
use DBD::SQLite;
use CGI::Tiny;

require('./WNDB.pm');
require('./Utils.pm');

our %config = (
  base     => "/",
  database => "dbi:SQLite:dbname=wn.db"
);
if (-e "./config.pl") {
  %config = (%config, do "./config.pl");
}

my $dbh = DBI->connect($config{database});
my ($sql, $do) = sql_fn($dbh);

cgi {
  my $cgi = $_;
  my $id = $cgi->query_param('video_id');
  my $poster = aupay_th($id);
  my $m3u8 = aupay_m3u8($id);
  my $html = page(vid => { 
    video_id => $id,
    poster => $poster,
    m3u8 => $m3u8
  });
  $cgi->render(html => $html);
};
